Could not install package "System.Xml.XmlDocument 4.3.0", Does anyone knows the solution?

Severity Code Description Project File Line Suppression State
Error Could not install package 'System.Xml.XmlDocument 4.3.0'. You are trying to install this package into a project that targets '.NETPortable,Version=v4.5,Profile=Profile259', but the package does not contain any assembly references or content files that are compatible with that framework. For more information, contact the package author.

I have tried below set of trial and error methods but of no use , Trying from last Two days not able to solve.Please help.

1.Cleaned solution and Build/Rebuild Solution.

2.Deleted Packages and restored.

3.Deleted .vs folder and Tried.

4.Replaces System.XML with version 2.0.5 in Mono android file and tried.

5.Tried installing "System.Xml.XmlDocument" but Not allowing to install it and prompted below error

"Severity Code Description Project File Line Suppression State
Error Could not install package 'System.Xml.XmlDocument 4.3.0'. You are trying to install this package into a project that targets '.NETPortable,Version=v4.5,Profile=Profile259', but the package does not contain any assembly references or content files that are compatible with that framework. For more information, contact the package author."

6.Trying to add reference but not allowing to add reference.It Prompts below error

"Error HR has been returned from Call to a COM component"

7.Merged from iOS latest update but no use same error.

8.Removed empty System.Xml folder from object browser and checked.

9.Removed System.xml.dll and Reinstalled and checked.

10.Removed empty System.Xml.XmlDocument and reinstalled and checked.

Tagged:

Answers

  • JarvanJarvan Member, Xamarin Team Xamurai

    From the dependency, it works on .NETFramework version 4.6. I tried to install the package and no errors occurred. Try to change the version of .NETFramework to 4.6.

Sign In or Register to comment.